/*
 *
 * (c) Copyright Ascensio System Limited 2010-2020
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
/*--------------------PAGE NAVIGATOR------------------------------*/
.pagerNavigationLinkCSSClass,
.pagerNavigationLinkCSSClass:active,
.pagerNavigationLinkCSSClass:visited {
  background-color: #FFF;
  display: inline-block;
  text-align: center;
  text-decoration: none;
  color: #666666;
  font-size: 12px;
  padding: 0;
  margin: 3px 8px 4px 8px;
}
.pagerNavigationLinkCSSClass:hover {
  color: #666666;
  text-decoration: underline;
}
.pagerPrevNextButtonCSSClass,
.pagerPrevNextButtonCSSClass:visited,
.pagerPrevNextButtonCSSClass:hover,
.pagerPrevNextButtonCSSClass:active {
  background-color: #FFF;
  display: inline-block;
  text-align: center;
  text-decoration: none;
  color: #666666;
  font-size: 12px;
  padding: 3px 5px 4px 5px;
  margin-right: 5px;
}
.pagerPrevButtonCSSClass,
.pagerPrevButtonCSSClass:visited,
.pagerPrevButtonCSSClass:active,
.pagerNextButtonCSSClass,
.pagerNextButtonCSSClass:visited,
.pagerNextButtonCSSClass:active {
  background-color: #FFF;
  display: inline-block;
  text-align: center;
  text-decoration: none;
  color: #666666;
  font-size: 12px;
  position: relative;
  padding: 0;
}
.pagerPrevButtonCSSClass:hover,
.pagerNextButtonCSSClass:hover {
  color: #666666;
  text-decoration: underline;
}
.pagerPrevButtonCSSClass,
.pagerPrevButtonCSSClass:visited,
.pagerPrevButtonCSSClass:hover,
.pagerPrevButtonCSSClass:active {
  margin: 3px 10px 4px 14px;
}
.pagerNextButtonCSSClass,
.pagerNextButtonCSSClass:visited,
.pagerNextButtonCSSClass:hover,
.pagerNextButtonCSSClass:active {
  margin: 3px 14px 4px 10px;
}
.pagerNextButtonCSSClass:after {
  border-left: 5px solid #696969;
  border-bottom: 5px solid transparent;
  border-top: 5px solid transparent;
  content: " ";
  display: block;
  position: absolute;
  top: 50%;
  margin-top: -5px;
  right: -13px;
  height: 0;
  width: 0;
}
.pagerPrevButtonCSSClass:after {
  border-right: 5px solid #696969;
  border-bottom: 5px solid transparent;
  border-top: 5px solid transparent;
  content: " ";
  display: block;
  position: absolute;
  top: 50%;
  margin-top: -5px;
  left: -13px;
  height: 0;
  width: 0;
}
.pagerCurrentPosition {
  background-color: #E9E9E9;
  border: none;
  color: #666666;
  display: inline-block;
  font-weight: bolder;
  font-size: 12px;
  padding: 3px 8px 4px 8px;
  text-align: center;
  text-decoration: none;
  margin: 0;
}
.pagerNavigationLinkBox {
  display: inline-block;
  white-space: nowrap;
}
.pagerNavigationLinkBox .splitter {
  margin-right: 5px;
}
/*******************************************************************************
        Tabs Navigator
*******************************************************************************/
.tabsNavigationLinkBox {
  margin-left: -8px;
  vertical-align: middle;
}
.tabsNavigationLinkBox .splitter {
  border-right: 1px dotted;
  display: inline-block;
  height: 15px;
  margin: 0;
  padding: 0;
  vertical-align: middle;
}
.tabsNavigationLinkBox .tabsNavigationLink,
.tabsNavigationLinkBox .tabsNavigationLink:hover,
.tabsNavigationLinkBox .tabsNavigationLink:active,
.tabsNavigationLinkBox .tabsNavigationLink:visited {
  background-color: #FFFFFF;
  cursor: pointer;
  color: #333333;
  display: inline-block;
  font-size: 12px;
  margin: 5px 8px;
  padding: 0;
  text-align: center;
  text-decoration: none;
}
.tabsNavigationLinkBox .tabsNavigationLink:hover,
.tabsNavigationLinkBox .tabsNavigationLink:hover:hover,
.tabsNavigationLinkBox .tabsNavigationLink:active:hover,
.tabsNavigationLinkBox .tabsNavigationLink:visited:hover {
  color: #333333;
  text-decoration: underline;
}
.tabsNavigationLinkBox .tabsNavigationLink.selectedTab,
.tabsNavigationLinkBox .tabsNavigationLink.selectedTab:active,
.tabsNavigationLinkBox .tabsNavigationLink.selectedTab:visited {
  color: #333333;
  cursor: default;
  font-weight: bold;
  margin: 5px 8px;
  text-decoration: none;
}
.tabsNavigationLinkBox .tabsNavigationLink.selectedTab:hover,
.tabsNavigationLinkBox .tabsNavigationLink.selectedTab:active:hover,
.tabsNavigationLinkBox .tabsNavigationLink.selectedTab:visited:hover {
  color: #333333;
  text-decoration: none;
}
